librevenge::RVNGHTMLTextParagraphStyleManager Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes | Private Member Functions | List of all members
librevenge::RVNGHTMLTextParagraphStyleManager Class Reference

Small class to manage the paragraph style. More...

`#include <RVNGHTMLTextTextStyle.h>`

Inheritance diagram for librevenge::RVNGHTMLTextParagraphStyleManager:

## Public Member Functions
| RVNGHTMLTextParagraphStyleManager ()
| constructor More...
virtual | ~RVNGHTMLTextParagraphStyleManager ()
| destructor More...
void | defineParagraph (RVNGPropertyList const &pList)
| define a paragraph style More...
std::string | getClass (RVNGPropertyList const &pList)
| returns the class name corresponding to a propertylist More...
void | send (std::ostream &out)
| send the data to the stream More...

## Protected Member Functions
std::string | getContent (RVNGPropertyList const &pList, bool isList) const
| convert a property list in a html content string More...
void | parseBorders (RVNGPropertyList const &pList, std::ostream &out) const
| add data corresponding to the border More...

## Protected Attributes
std::map< std::string, std::string > | m_contentNameMap
| a map content -> name More...
std::map< int, std::string > | m_idNameMap
| a map id -> name More...

## Private Member Functions
| RVNGHTMLTextParagraphStyleManager (RVNGHTMLTextParagraphStyleManager const &orig)
RVNGHTMLTextParagraphStyleManager | operator= (RVNGHTMLTextParagraphStyleManager const &orig)

## Detailed Description

Small class to manage the paragraph style.

## Constructor & Destructor Documentation

librevenge::RVNGHTMLTextParagraphStyleManager::RVNGHTMLTextParagraphStyleManager | ( |  | ) |
| inline

constructor

virtual librevenge::RVNGHTMLTextParagraphStyleManager::~RVNGHTMLTextParagraphStyleManager | ( |  | ) |
| inlinevirtual

destructor

librevenge::RVNGHTMLTextParagraphStyleManager::RVNGHTMLTextParagraphStyleManager | ( | RVNGHTMLTextParagraphStyleManager const & | orig | ) |
| private

## Member Function Documentation

void librevenge::RVNGHTMLTextParagraphStyleManager::defineParagraph | ( | RVNGPropertyList const & | pList | ) |

define a paragraph style

Referenced by librevenge::RVNGHTMLTextGenerator::defineParagraphStyle(), and ~RVNGHTMLTextParagraphStyleManager().

std::string librevenge::RVNGHTMLTextParagraphStyleManager::getClass | ( | RVNGPropertyList const & | pList | ) |

returns the class name corresponding to a propertylist

Referenced by librevenge::RVNGHTMLTextGenerator::openParagraph(), librevenge::RVNGHTMLTextListStyleManager::~RVNGHTMLTextListStyleManager(), ~RVNGHTMLTextParagraphStyleManager(), and librevenge::RVNGHTMLTextSpanStyleManager::~RVNGHTMLTextSpanStyleManager().

std::string librevenge::RVNGHTMLTextParagraphStyleManager::getContent | ( | RVNGPropertyList const & | pList,
|  | bool | isList
| ) |  | const
| protected

convert a property list in a html content string

Referenced by getClass(), librevenge::RVNGHTMLTextListStyleManager::getClass(), librevenge::RVNGHTMLTextSpanStyleManager::getClass(), librevenge::RVNGHTMLTextListStyleManager::openLevel(), ~RVNGHTMLTextParagraphStyleManager(), and librevenge::RVNGHTMLTextSpanStyleManager::~RVNGHTMLTextSpanStyleManager().

RVNGHTMLTextParagraphStyleManager librevenge::RVNGHTMLTextParagraphStyleManager::operator= | ( | RVNGHTMLTextParagraphStyleManager const & | orig | ) |
| private

void librevenge::RVNGHTMLTextParagraphStyleManager::parseBorders | ( | RVNGPropertyList const & | pList,
|  | std::ostream & | out
| ) |  | const
| protected

add data corresponding to the border

Referenced by getContent().

void librevenge::RVNGHTMLTextParagraphStyleManager::send | ( | std::ostream & | out | ) |

send the data to the stream

Referenced by librevenge::RVNGHTMLTextGenerator::endDocument(), librevenge::RVNGHTMLTextListStyleManager::send(), librevenge::RVNGHTMLTextListStyleManager::~RVNGHTMLTextListStyleManager(), ~RVNGHTMLTextParagraphStyleManager(), and librevenge::RVNGHTMLTextSpanStyleManager::~RVNGHTMLTextSpanStyleManager().

## Member Data Documentation

std::map<std::string, std::string> librevenge::RVNGHTMLTextParagraphStyleManager::m_contentNameMap
| protected

a map content -> name

Referenced by getClass(), librevenge::RVNGHTMLTextListStyleManager::getClass(), librevenge::RVNGHTMLTextSpanStyleManager::getClass(), send(), and librevenge::RVNGHTMLTextSpanStyleManager::send().

std::map<int, std::string> librevenge::RVNGHTMLTextParagraphStyleManager::m_idNameMap
| protected

a map id -> name

Referenced by defineParagraph(), librevenge::RVNGHTMLTextSpanStyleManager::defineSpan(), getClass(), and librevenge::RVNGHTMLTextSpanStyleManager::getClass().

The documentation for this class was generated from the following files:

- RVNGHTMLTextTextStyle.h
- RVNGHTMLTextTextStyle.cpp